From af455ce136968151467b418aa1c744f7a58f36cb Mon Sep 17 00:00:00 2001
From: wk3368 <wk3368@163.com>
Date: Fri, 25 Mar 2022 23:10:20 +0800
Subject: [PATCH] bump version to 2.0.0

---
 CHANGELOG.md | 5 +++++
 package.json | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG.md b/CHANGELOG.md
index 59d368f..d054950 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -5,6 +5,11 @@ All notable changes to this project will be documented in this file, as of versi
 The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
 and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).
 
+## [2.0.0] - 2022-03-25
+
+- replace @starcoin/stc-ed25519 with @noble/ed25519, because the latest version of @noble/ed25519 already supports BigInt.
+- replace xxxn with BigInt(xxx)
+
 ## [1.8.0] - 2022-01-07
 
 - export version
diff --git a/package.json b/package.json
index b4b8bd6..78af6a0 100644
--- a/package.json
+++ b/package.json
@@ -1,6 +1,6 @@
 {
   "name": "@starcoin/starcoin",
-  "version": "1.9.0",
+  "version": "2.0.0",
   "description": "starcoin js sdk",
   "author": "lerencao, wk3368, tarvos21",
   "license": "Apache-2.0",
